﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.ViewModels;

namespace FlowerShopContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportBouquetComponentViewModel> GetBouquetComponents();
        
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        
        void SaveBouquetsToWordFile(ReportBindingModel model);
        
        void SaveBouquetComponentToExcelFile(ReportBindingModel model);
        
        void SaveOrdersToPdfFile(ReportBindingModel model);

        void SaveShopsToWordFile(ReportBindingModel model);

        void SaveShopBouquetsToExcelFile(ReportBindingModel model);

        List<ReportShopBouquetsViewModel> GetShopBouquets();

        List<ReportDateOrdersViewModel> GetDateOrders();

        void SaveDateOrdersToPdfFile(ReportBindingModel model);
    }
}
